## class OSGSIM_EXPORT osgSim::AzimElevationSector

## Inheritance:

### Public Methods

AzimElevationSector()
AzimElevationSector(const AzimElevationSector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)
AzimElevationSector(float minAzimuth, float maxAzimuth, float minElevation, float maxElevation, float fadeAngle=0.0f)
META_Object(osgSim, AzimElevationSector) ()(const osg::Vec3& eyeLocal) const

### Protected Methods

virtual ~AzimElevationSector()

### Inherited from Sector:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual float operator() (const osg::Vec3&yeLocal*/) const

### Inherited from AzimRange:

### Public Methods

void setAzimuthRange(float minAzimuth, float maxAzimuth, float fadeAngle=0.0f)
void getAzimuthRange(float& minAzimuth, float& maxAzimuth, float& fadeAngle) const
inline float azimSector(const osg::Vec3& eyeLocal) const

### Protected Fields

float _cosAzim
float _sinAzim
float _cosAngle
float _cosFadeAngle

### Inherited from ElevationRange:

### Public Methods

void setElevationRange(float minElevation, float maxElevation, float fadeAngle=0.0f)
float getMinElevation() const
float getMaxElevation() const
float getFadeAngle() const
inline float elevationSector(const osg::Vec3& eyeLocal) const

### Protected Fields

float _cosMinElevation
float _cosMinFadeElevation
float _cosMaxElevation
float _cosMaxFadeElevation

## Documentation

`AzimElevationSector()`

`AzimElevationSector(const AzimElevationSector& copy, const osg::CopyOp& copyop = osg::CopyOp::SHALLOW_COPY)`

`AzimElevationSector(float minAzimuth, float maxAzimuth, float minElevation, float maxElevation, float fadeAngle=0.0f)`

`META_Object(osgSim, AzimElevationSector) ()(const osg::Vec3& eyeLocal) const`

`virtual ~AzimElevationSector()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.